<html>
<head>
	<title>Video Player</title>
</head>
<body>
	<input type="file" id="filePicker">
	<video id="videoPlayer" controls></video>

	<script>
		const filePicker = document.getElementById("filePicker");
		const videoPlayer = document.getElementById("videoPlayer");

		filePicker.addEventListener("change", function() {
			const file = filePicker.files[0];
			const fileURL = URL.createObjectURL(file);
			videoPlayer.src = fileURL;
			videoPlayer.load();
		});
	</script>
</body>
</html>